Results 1 to 6 of 6

Thread: Fast-Track Update Fix

  1. #1
    Just burned his ISO interstella's Avatar
    Join Date
    Aug 2011
    Location
    Germany
    Posts
    5

    Default Fast-Track Update Fix

    Hi there,
    found out that some entrys in the Fast-Track Update Menu got wrong location of SET, Gerix and metasploit in BackTrack 5 R1 Gnome x64.

    My changes:

    /pentest/exploits/fasttrack/bin/menu/updatemenu.py
    line62:
    Code:
    subprocess.Popen("cd /usr/share/gerix-wifi-cracker-ng;svn update", shell=True).wait()
    and
    line 67:
    Code:
    subprocess.Popen("cd /pentest/exploits/set;svn update", shell=True).wait()
    /pentest/exploits/fasttrack/config/fasttrack_config
    line9:
    Code:
    METASPLOIT_PATH=/opt/framework/msf3
    Don't know if any other version has same problem, but with these changes you will walk good after a default and clean install of bt5-gnome-x64.

  2. #2
    Just burned his ISO
    Join Date
    Mar 2010
    Posts
    8

    Default Re: Fast-Track Update Fix

    Hey i'm running BT5 R1 Gnome too and had an issue with fast-track. I just did this fix but fast-track still doesn't work. I've edited all the files you listed here and still won't work.

  3. #3
    Just burned his ISO interstella's Avatar
    Join Date
    Aug 2011
    Location
    Germany
    Posts
    5

    Default Re: Fast-Track Update Fix

    what won't work?
    do you can't just update or doesn't fast-track start?

  4. #4
    Senior Member ghostdog67's Avatar
    Join Date
    Sep 2008
    Posts
    180

    Default Re: Fast-Track Update Fix

    Quote Originally Posted by mormaii2 View Post
    Hey i'm running BT5 R1 Gnome too and had an issue with fast-track. I just did this fix but fast-track still doesn't work. I've edited all the files you listed here and still won't work.
    Hi, i deleted both metasploit and fasttrack, then i re=installed metasplloit from its website, then i went to www.secmaniac.com and re-installed fasttrack following the instructions, it worked for me !

    root@bt/pentest/exploits/fasttrack# ./fast-track.py -i





    ***********************************************
    ******* Performing dependency checks... *******
    ***********************************************

    *** FreeTDS and PYMMSQL are installed. (Check) ***
    *** PExpect is installed. (Check) ***
    *** ClientForm is installed. (Check) ***
    *** Psyco is installed. (Check) ***
    *** Beautiful Soup is installed. (Check) ***

    Also ensure ProFTP, WinEXE, and SQLite3 is installed from
    the Updates/Installation menu.

    Your system has all requirements needed to run Fast-Track!

    ************************************************** ***************
    ** **
    ** Fast-Track - A new beginning... **
    ** Version: 4.0.1 **
    ** Written by: David Kennedy (ReL1K) **
    ** Lead Developer: Joey Furr (j0fer) **
    ** http://www.secmaniac.com **
    ** **
    ************************************************** ***************

    Fast-Track Main Menu:

    1. Fast-Track Updates
    2. Autopwn Automation
    3. Nmap Scripting Engine
    4. Microsoft SQL Tools
    5. Mass Client-Side Attack
    6. Exploits
    7. Binary to Hex Payload Converter
    8. Payload Generator
    9. Fast-Track Tutorials
    10. Fast-Track Changelog
    11. Fast-Track Credits
    12. Exit Fast-Track

    Enter the number: 1

    ************************************************** ***************
    ** **
    ** Fast-Track - A new beginning... **
    ** Version: 4.0.1 **
    ** Written by: David Kennedy (ReL1K) **
    ** Lead Developer: Joey Furr (j0fer) **
    ** http://www.secmaniac.com **
    ** **
    ************************************************** ***************

    Fast-Track Update Menu:

    1. Update Fast-Track
    2. Metasploit 3 Update
    3. Update Exploit-DB Exploits
    4. Update Gerix Wifi Cracker NG
    5. Update Social-Engineer Toolkt

    (q)uit

    Enter number: 2
    Updating Metasploit....

    Good luck
    GD

  5. #5
    Just burned his ISO
    Join Date
    Nov 2011
    Location
    Philippines
    Posts
    6

    Default Re: Fast-Track Update Fix

    Hi I just started reading some bugs with BT5R1 and this post worked for me. Thanks!

  6. #6
    Just burned his ISO
    Join Date
    Aug 2012
    Posts
    1

    Default Re: Fast-Track Update Fix

    Quote Originally Posted by interstella View Post
    Hi there,
    found out that some entrys in the Fast-Track Update Menu got wrong location of SET, Gerix and metasploit in BackTrack 5 R1 Gnome x64.
    ...
    Don't know if any other version has same problem, but with these changes you will walk good after a default and clean install of bt5-gnome-x64.
    Hi,

    BT5R3-gnome-32bits is also affected by this, and there's some missing fixes, so here's what I added:

    1) in /pentest/exploits/fasttrack/bin/ftsrc/updatemeta.py line 23, replace 'metaupdate=os.system("svn update %s" % (metapath))' with 'metaupdate=os.system("msfupdate")' so that you'll be able to update metasploit from fasttrack.

    2) in /pentest/exploits/fasttrack/bin/menu/updatemenu.py
    Be sure there's a # in front of line 61, or correct this as follows: subprocess.Popen("cd /usr/share;svn co svn://devel.offensive-security.com/gerix-ng gerix-wifi-cracker-ng", shell=True).wait()

    3) the exploit-db svn url is not reachable from here, so I get failures... Need to find why ( maybe url changed or something else ? )

    Regards,

    Gled

Similar Threads

  1. Downgrading Fast-Track To Get Update Everything Menu
    By 9w2pju in forum Beginners Forum
    Replies: 3
    Last Post: 10-03-2010, 08:41 PM
  2. fast-track can't update msf3?
    By RageLtMan in forum OLD BackTrack 4 (pre) Final
    Replies: 2
    Last Post: 12-17-2009, 06:43 AM
  3. Eror when trying to update fast-track
    By drksun in forum OLD BT4beta Software Related Issues
    Replies: 1
    Last Post: 06-03-2009, 08:18 AM
  4. Fast Track problem after update Help Req plz
    By merkaba in forum OLD Newbie Area
    Replies: 20
    Last Post: 02-20-2009, 06:03 AM
  5. Fast|Track update using proxy
    By imported_l1nuxant_ee in forum OLD Newbie Area
    Replies: 2
    Last Post: 10-17-2008, 04:56 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •